Skip to main content
GET
/
public-api
/
scheduled-work
List scheduled work
curl --request GET \
  --url https://api.neoagent.io/public-api/scheduled-work \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.neoagent.io/public-api/scheduled-work"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.neoagent.io/public-api/scheduled-work', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "additional_custom_instructions": "<string>",
      "client_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "created_by": "<string>",
      "executed_at": "2023-11-07T05:31:56Z",
      "execution_message": "<string>",
      "execution_temporal_run_id": "<string>",
      "id": 123,
      "scheduled_for": "2023-11-07T05:31:56Z",
      "ticket_id": "<string>",
      "ticket_number": "<string>",
      "updated_at": "2023-11-07T05:31:56Z",
      "workflow_id": 123,
      "workflow_name": "<string>"
    }
  ],
  "meta": {
    "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "timings_ms": {},
    "pagination": {
      "has_more": true,
      "next_cursor": "<string>"
    },
    "warnings": [
      "<string>"
    ]
  }
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}

Authorizations

Authorization
string
header
required

Authorization: Bearer <token> where <token> is either a neo_sk_<env>_<secret> API key (service account) or a Microsoft Entra ID access token (dashboard user).

Query Parameters

status
string

Filter by status: PENDING, PROCESSING, COMPLETED, FAILED, CANCELLED.

ticket_id
string

Filter by exact ticket id.

Partial match on ticket_id or ticket_number.

page
integer

1-indexed page number (default 1).

page_size
integer

Items per page (1-200, default 50).

Response

Success.

data
PublicScheduledWork · object[]
required
meta
object
required